
<!-- Container-fluid starts-->
<link rel="stylesheet" type="text/css" href="//netdna.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css">

<div class="container-fluid">
    <div class="row">
        <div class="col-sm-12">
            <div class="card">
                <div class="card-header">
                    <h5>Payment List</h5>
                    <div class="mouna">

                        <div class="row height d-flex justify-content-center align-items-center">
    
                          <div class="col-md-11">
    
                            <div class="search">
                              <i class="fa fa-search"></i>
                              <input type="text" class="form-control" placeholder="search payment..." [(ngModel)]="search_name">
                            
                            </div>
                            
                          </div>
                          
                        </div>
                    </div>
                </div>
<!-- Modal Ajout-->
                <div class="btn-popup pull-right">
                   <!--  <button type="button" class="btn btn-primary" data-toggle="modal" data-original-title="test"
                        data-target="#exampleModal" (click)="open(content)">Adda Payment</button>-->
                    <ng-template #content let-modal>
                        <div class="modal-header">
                            <h5 class="modal-title f-w-600" id="exampleModalLabel">Add Payment </h5>
                            <button type="button" class="close" aria-label="Close"
                                (click)="modal.dismiss('Cross click')">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                            <div class="modal-body">
                                <form [formGroup]="addFormPaiement"class="needs-validation">
                                    <div class="form">
                                        <div class="form-group mb-0">
                                            <label for="validationCustom02" class="mb-1">Commande :</label>
                                            <select class="form-control" formControlName="id_commande">
                                                <option *ngFor="let ordre of ordes" [value]="ordre?.id">{{ordre?.id}}
                                                </option>
                                            </select>
                                        </div>
                                        <br>
                                        <div class="form-group mb-0">
                                            <label for="validationCustom02" class="mb-1">Payment method:</label>
                                            <select class="form-control"  formControlName="id_modepaiement" >
                                                <option *ngFor="let modepaiement of listmodepaie"  [value]="modepaiement?.id">{{modepaiement?.name}}</option>
                                            </select>
                                        </div>
                                         <div class="form-group">
                                            <label for="validationCustom01" class="mb-1">Date :</label>
                                            <input class="form-control" formControlName="date" type="date">
                                        </div> 
                                       
                                      
                                    </div>
                                </form>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-primary" (click)="onAddPaiement();modal.dismiss('Cross click')" >Save</button>
                                <button class="btn btn-secondary" type="button" data-dismiss="modal"
                                    (click)="modal.dismiss('Cross click')">Close</button>
                            </div>
                        </ng-template>
                    </div>
                    <div id="batchDelete" class="category-table custom-datatable">
                        <div class="container">
                            <div class="row">
                                <div class="col-12 col-sm-12 col-md-12">
                                    <div class="card">
                                        <div class="card-body">
                                            <div class="table-responsive" id="proTeamScroll" tabindex="2"
                                                style="height: 400px; overflow: hidden; outline: none;">
                                                <table class="table table-stripe">
                                                    <thead>
                                                        <tr>
                                                         
                                                            <th>Reference</th>
                                                           <th>Order</th>
                                                           <th>Payment method</th>
                                                           <th>Date</th>
                                                           <th>Status</th>
                                                            <th>Edit</th>
                                                           
                                                        </tr>
                                                    </thead>
                                                    <tbody *ngFor="let paiement of listpaiement | filter:search_name | paginate: { itemsPerPage: 5, currentPage: p }">
                                                        <tr>
                                                            <!-- <td class="table-img"><img src="http://127.0.0.1:8887/{{subdomaine.img}}" alt="image"/>
                                                            </td> -->
                                                            <td>
                                                             {{paiement?.id}}
                                                            </td>
                                                            <td>{{paiement?.commande?.id}}</td>
                                                            <td>{{paiement?.modePaiement?.name}}</td>
                                                            <td>{{paiement?.date}}</td>
                                                            <td>{{paiement?.status}}</td>

                                                            <td style="width: 20%;">
                                                                <a (click)="open1(content1 , paiement)"  class="table-link  text-info">
                                                                    <span class="fa-stack">
                                                                        <i class="fa fa-square fa-stack-2x"></i>
                                                                        <i class="fa fa-pencil fa-stack-1x fa-inverse"></i>
                                                                    </span>
                                                                </a>
                                                                <a  class="table-link danger"  (click)="onOpenModal(paiement?.id)"
                                                                    data-original-title="delete" data-placement="top"
                                                                    data-toggle="tooltip">
                                                                    <span class="fa-stack" >
                                                                        <i class="fa fa-square fa-stack-2x" ></i>
                                                                        <i class="fa fa-trash-o fa-stack-1x fa-inverse"></i>
                                                                    </span>
                                                                </a>
                                                            </td>
                                                        </tr>
                                                        <!-- Modal Delete-->
    
                                                        <div class="modal fade" id="deletesubdomainModal" tabindex="-1" role="dialog"
                                                            aria-labelledby="subdomainDeleteModalLabel" aria-hidden="true">
                                                            <div class="modal-dialog" role="document">
                                                                <div class="modal-content">
                                                                    <div class="modal-header">
                                                                        <h5 class="modal-title" id="deleteUserModalLabel">Delete
                                                                            Payment</h5>
                                                                        <button type="button" class="close" data-dismiss="modal"
                                                                            aria-label="Close">
                                                                            <span aria-hidden="true">&times;</span>
                                                                        </button>
                                                                    </div>
                                                                    <div class="modal-body">
                                                                        <p>Are you sure you want to delete Payment ?</p>
                                                                        <div class="modal-footer">
                                                                            <button type="button" class="btn btn-secondary"
                                                                                id="deleteUserModal"
                                                                                data-dismiss="modal">No</button>
                                                                            <button class="btn btn-danger"
                                                                                (click)="onDeletePaiement(deletepaiement?.id)"
                                                                                data-dismiss="modal">Yes</button>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>     
                                                    </tbody>
                                                </table>
                                                <pagination-controls (pageChange)="p = $event"></pagination-controls>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="btn-popup pull-right">
        <ng-template #content1 let-modal>
            <div class="modal-header">
                <h5 class="modal-title f-w-600" id="exampleModalLabel">Update Payment</h5>
            </div>
<!-- Container-fluid Ends-->
<div class="modal-body">
    <form [formGroup]="addFormPaiement1"class="needs-validation">
        <div class="form">
           
            
            <div class="form-group mb-0">
                <label for="validationCustom02" class="mb-1">Payment method:</label>
                <select class="form-control"  formControlName="id_modepaiement" >
                    <option *ngFor="let modepaiement of listmodepaie"  [value]="modepaiement?.id">{{modepaiement?.name}}</option>
                </select>
            </div>
             <div class="form-group">
                <label for="validationCustom01" class="mb-1">Date :</label>
                <input class="form-control" formControlName="date" type="date">
            </div> 
            <div class="form-group mb-0">
                <label for="validationCustom02" class="mb-1"
                    style="margin-right: 5%;font-weight: bold;">Status:</label>
                <input type="radio" id="contactChoice1" formControlName="status" value="Paid">
                <label for="contactChoice1" class="mb-1" style="margin-right: 5%;">Paid</label>
                <input type="radio" id="contactChoice2" formControlName="status" value="Annuled">
                <label for="contactChoice2" class="mb-1">Annuled</label>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" (click)="onUpdatePaiement();modal.dismiss('Cross click')">Save</button>
                <button class="btn btn-secondary" type="button" data-dismiss="modal"
                    (click)="modal.dismiss('Cross click')">Close</button>
            </div>
        </div>
    </form>
</div>
